Package org.codehaus.janino

# Class Java.Invocation

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Rvalue
org.codehaus.janino.Java.Invocation

All Implemented Interfaces:
  `Java.ArrayInitializerOrRvalue`, `Java.ElementValue`, `Java.Locatable`

Direct Known Subclasses:
  `Java.MethodInvocation`, `Java.SuperclassMethodInvocation`

Enclosing class:
  `Java`

public abstract static class Java.Invocation extends Java.Rvalue
Abstract base class for `Java.MethodInvocation` and `Java.SuperclassMethodInvocation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Rvalue[]`
`arguments`
Arguments to pass to the method.
`final String`
`methodName`
Name of the invoked method.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Invocation(Location location, String methodName, Java.Rvalue[] arguments)`

## Method Summary

### Methods inherited from class org.codehaus.janino.Java.Rvalue

`accept, accept, accept, accept, getEnclosingScope, getEnclosingScopeOrNull, setEnclosingScope, toRvalue`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalueOrCompileException, toString, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### methodName

public final String methodName
Name of the invoked method.

### arguments

public final Java.Rvalue[] arguments
Arguments to pass to the method.

## Constructor Details

### Invocation

protected Invocation(Location location, String methodName, Java.Rvalue[] arguments)